{% extends "register_base.html" %}
{% load static %}


{% block content %}

<link
        href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css"
        rel="stylesheet"
/>
<!-- Google Fonts -->
<link
        href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap"
        rel="stylesheet"
/>
<!-- MDB -->
<link
        href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.6.0/mdb.min.css"
        rel="stylesheet"
/>
<section class="vh-100" style="background-color: #eee;">
    <div class="container h-100">
        <div class="row d-flex justify-content-center align-items-center h-100">
            <div class="col-lg-12 col-xl-11">
                <div class="card text-black" style="border-radius: 25px;">
                    <div class="card-body p-md-5">
                        <div class="row justify-content-center">
                            <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">

                                <p class="text-center h1 fw-bold mb-5 mx-1 mx-md-4 mt-4">Login</p>

                                <form method="POST" class="mx-1 mx-md-4">
                                    {% csrf_token %}
                                        <div class="d-flex flex-row align-items-center mb-4">
                                            <i class="fas fa-user fa-lg me-3 fa-fw"></i>
                                            <div class="form-outline flex-fill mb-0">
                                                <input type="text" id="form3Example1c" class="form-control" name="username" required/>
                                                <label class="form-label" for="form3Example1c">Username</label>
                                            </div>
                                        </div>
                                        <div class="d-flex flex-row align-items-center mb-4">
                                            <i class="fas fa-lock fa-lg me-3 fa-fw"></i>
                                            <div class="form-outline flex-fill mb-0">
                                                <input type="password" id="form3Example4c" class="form-control" name="password" required/>
                                                <label class="form-label" for="form3Example4c">Password</label>
                                            </div>
                                        </div>
                                        <div class="d-flex justify-content-center mx-4 mb-3 mb-lg-4">
                                            <button type="submit" class="btn btn-primary btn-lg">Login</button>
                                        </div>
                                </form>
                                <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">
                                        <p> not a returning user?</p>
                                        <h6><a href="/register">register here</a></h6>
                                    <br><br>
                                        <p>Return to Dinnergenie</p>
                                    <h6><a href="/dinnergenie/">homepage</a></h6>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
{% endblock %}

<!--<form action="" method="POST">-->
<!--    {% csrf_token %}-->
<!--    <div class="imgcontainer">-->
<!--        <img src="{% static 'images/loginIcon.png' %}" alt="Avatar" class="avatar">-->
<!--    </div>-->

<!--    <div class="container">-->
<!--        <label for="uname"><b>Username</b></label>-->
<!--        <input type="text" placeholder="Enter Username" name="username" required>-->

<!--        <label for="psw"><b>Password</b></label>-->
<!--        <input type="password" placeholder="Enter Password" name="password" required>-->

<!--        <button type="submit">Login</button>-->
<!--        <label>-->
<!--            <input type="checkbox" checked="checked" name="remember"> Remember me-->
<!--        </label>-->
<!--        <p> not a returning user?</p>-->
<!--        <strong><a href="/register">register here</a></strong>-->

<!--    </div>-->


<!--</form>-->